Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
News says to change JPEG, command doesn't work
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2  
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
ssuominen
Developer
Developer


Joined: 30 Sep 2005
Posts: 2104
Location: Finland

PostPosted: Fri Sep 21, 2012 2:11 pm    Post subject: Reply with quote

edward_scott wrote:
same error as my last post when I emerge -avNuD world.


You should use the -t switch to see what is pulling what and you can mask media-libs/jpeg:0 or =media-libs/jpeg-8* in /etc/portage/package.mask to get more readable output.

Shouldn't be rocket science.
Back to top
View user's profile Send private message
edward_scott
Tux's lil' helper
Tux's lil' helper


Joined: 17 Jan 2006
Posts: 134

PostPosted: Sat Sep 22, 2012 2:15 am    Post subject: Reply with quote

that helps - not sure what I can do next though.

I commented anything in package.use related to virtual/jpeg or media-libs/jpeg in case that was affecting anything. I also masked =virtual/jpeg-0 and =media-libs/jpeg-8*

I now get the following:

Quote:
# emerge -avNuDt world

* IMPORTANT: 10 news items need reading for repository 'gentoo'.
* Use eselect news to read news items.


These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[nomerge ] dev-java/eclipse-ecj-3.5.2 USE="ant"
[nomerge ] dev-java/ant-eclipse-ecj-3.5.2
[nomerge ] virtual/jdk-1.6.0-r1
[nomerge ] dev-java/icedtea-6.1.11.4 [6.1.11.1] USE="X alsa cups jbootstrap nsplugin nss pulseaudio source webstart -cacao% -cjk -debug -doc -examples -javascript -pax_kernel -systemtap -test"
[ebuild U ~] dev-java/icedtea-web-1.2.1-r1 [1.2] USE="nsplugin -build -doc -javascript -test" 0 kB
[ebuild U ~] dev-java/icedtea-6.1.11.4 [6.1.11.1] USE="X alsa cups jbootstrap nsplugin nss pulseaudio source webstart -cacao% -cjk -debug -doc -examples -javascript -pax_kernel -systemtap -test" 0 kB
[nomerge ] dev-lang/mono-2.10.9-r2 USE="-minimal -pax_kernel -xen"
[ebuild U ] dev-dotnet/libgdiplus-2.10.9 [2.10] USE="cairo" 2,026 kB
[nomerge ] media-video/vlc-2.0.1 USE="X a52 aac aalib alsa avcodec avformat cdda cddb dbus dirac directfb dts dvbpsi dvd encode ffmpeg flac fluidsynth gcrypt gnome gnutls ieee1394 kate libass libcaca libnotify libtiger live lua matroska mmx mp3 mpeg musepack ncurses ogg opengl png postproc pulseaudio qt4 rtsp schroedinger sdl shout sse svg swscale theora truetype udev vorbis x264 xcb xml xv (-altivec) -atmo (-audioqueue) -avahi -bidi -bluray -dc1394 -debug (-direct2d) (-directx) (-dshow) -dvb (-dxva2) -egl -fbosd -fontconfig -gme -growl -httpd (-ios-vout) -jack -kde -libproxy -libsamplerate -libtar -linsys -lirc (-macosx) (-macosx-audio) (-macosx-dialog-provider) (-macosx-eyetv) (-macosx-qtkit) (-macosx-quartztext) (-macosx-vout) (-media-library) -modplug -mtp (-neon) -omxil -optimisememory -oss -portaudio -projectm -pvr -run-as-root -samba -sdl-image -shine -sid -skins -speex -sqlite -switcher -taglib -twolame -upnp -v4l -vaapi -vcdx -vlm (-waveout) (-win32codecs) (-wingdi) -wma-fixed -xosd -zvbi"
[ebuild R ] media-libs/libkate-0.3.7 USE="wxwidgets* -doc" 0 kB
[nomerge ] dev-java/icedtea-7.2.3.2 USE="X alsa cups jbootstrap nsplugin nss pulseaudio source webstart -cjk -debug -doc -examples -javascript -pax_kernel -systemtap -test"
[ebuild U ~] media-libs/lcms-2.4 [2.3] USE="jpeg static-libs tiff zlib -doc -test" 4,193 kB
[ebuild U ] media-libs/tiff-4.0.2-r1 [4.0.2] USE="cxx jpeg zlib -jbig -lzma -static-libs" 0 kB
[ebuild N #] virtual/jpeg-0 USE="static-libs" 0 kB

Total: 7 packages (5 upgrades, 1 new, 1 reinstall), Size of downloads: 6,219 kB

The following mask changes are necessary to proceed:
#required by app-text/poppler-0.18.4-r2[jpeg], required by net-print/cups-1.5.2-r4, required by dev-java/icedtea-6.1.11.4[cups], required by dev-java/icedtea-web-1.2.1-r1
# /etc/portage/package.mask:
=virtual/jpeg-0

The following USE changes are necessary to proceed:
#required by media-gfx/splashutils-1.5.4.4, required by media-gfx/bootsplash-themes-20060913, required by @selected, required by @world (argument)
>=virtual/jpeg-0 static-libs


it looks like there are several dependencies. from what I am reading icedtea has a hard coded dependency. is there anything I can do about that?
Back to top
View user's profile Send private message
Mistwolf
Tux's lil' helper
Tux's lil' helper


Joined: 07 Mar 2007
Posts: 107
Location: Edmonton, AB

PostPosted: Sun Sep 23, 2012 1:48 am    Post subject: Reply with quote

Edward,

re-read ssuominen's comments:

Quote:
Both the virtual and the package needs to have USE="static-libs" enabled (or disabled) at the same time for apps like splashutils.

/etc/portage/package.use:

Code:
virtual/jpeg static-libs
media-libs/libjpeg-turbo static-libs



You probably do not have static-libs USE flag enabled in libjpeg-turbo or in virtual/jpeg. And unmask virtual/jpeg.

Hope this helps.
Back to top
View user's profile Send private message
ssuominen
Developer
Developer


Joined: 30 Sep 2005
Posts: 2104
Location: Finland

PostPosted: Sun Sep 23, 2012 12:04 pm    Post subject: Reply with quote

For sure all the answers required are in this thread. Anyone having same issues, first undo your current changes and start reading from the first post.
Back to top
View user's profile Send private message
edward_scott
Tux's lil' helper
Tux's lil' helper


Joined: 17 Jan 2006
Posts: 134

PostPosted: Sat Oct 20, 2012 8:56 pm    Post subject: Reply with quote

Mistwolf wrote:
Edward,

re-read ssuominen's comments:

You probably do not have static-libs USE flag enabled in libjpeg-turbo or in virtual/jpeg. And unmask virtual/jpeg.

Hope this helps.


yup, that did it. I should read more carefully. thanks folk.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Goto page Previous  1, 2
Page 2 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum